use algpath::run_from_config;
use clap::Parser;
use criterion::{criterion_group, criterion_main, Criterion};

pub fn mul(c: &mut Criterion) {
    let data = "data/3-3-3-3_1.json";
    let conf = algpath::cli::Configuration::parse_from(["", data]);
    c.bench_function(data, |b| b.iter(|| run_from_config(&conf)));
}

criterion_group!(benches, mul);
criterion_main!(benches);
