// Copyright 2024 Pierre Lairez
// SPDX-License-Identifier: GPL-3.0-or-later

use algpath::run_from_config;
use clap::Parser;
use flint_bindings::flint_cleanup;

fn main() {
    let conf = algpath::cli::Configuration::parse();

    run_from_config(&conf);

    unsafe {
        flint_cleanup();
    }
}
